org.apache.jmeter.protocol.mongodb.mongo

## Class MongoDB

- java.lang.Object
- - org.apache.jmeter.protocol.mongodb.mongo.MongoDB

-     public class MongoDB
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoDB(java.util.List<com.mongodb.ServerAddress> serverAddresses, com.mongodb.MongoClientOptions mongoOptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `com.mongodb.DB` | `getDB(java.lang.String database, java.lang.String username, java.lang.String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoDB

          public MongoDB(java.util.List<com.mongodb.ServerAddress> serverAddresses,
                         com.mongodb.MongoClientOptions mongoOptions)

  - ### Method Detail

    - #### getDB

          public com.mongodb.DB getDB(java.lang.String database,
                                      java.lang.String username,
                                      java.lang.String password)

    - #### clear

          public void clear()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.